ADM1026HM(4)

NAME
adm1026hm - Analog Devices ADM1026 complete thermal system management controller

SYNOPSIS
adm1026hm* at iic0 addr 0x2e: ADM1026 hardware monitor: rev. 0x4, step. 0x5
adm1026hm*: 8 fans, 3 temperatures, 15 voltages

DESCRIPTION
The adm1026hm driver provides support for the Analog Devices ADM1026 hardware monitor. The chip possesses 8 fan speed sensors, 3 temperature sensors, and 17 voltage sensors. The number of each sensor type configured by the driver depends on the chip configuration.

The values of the sensors are made available through the envstat(8) interface.
Sensor | Units | Description
fan N | RPM | Fan 0-7
internal | C | Internal temperature
external N | C | External temperature 1–2
Vbatt | mV DC | Battery voltage
V3.3 standby | mV DC | 3.3V standby voltage
V3.3 main | mV DC | 3.3V main voltage
V5.0 | mV DC | 5.0V supply voltage
V+12 | mV DC | +12V supply voltage
V-12 | mV DC | -12V supply voltage
V3.3 N | mV DC | Analog in (3.3V reference) 0–5
V2.5 N | mV DC | Analog in (2.5V reference) 0–3

SEE ALSO
iic(4), intro(4), envstat(8)

AUTHORS
-nosplit The adm1026hm driver was written by Julian Coleman <jcoleman@NetBSD.org>.

BUGS
It's not possible to determine if either a sensor is not connected, or the monitored device is producing no output. Therefore, unconnected sensors will show outputs of 0.

The adm1026hm driver does not support checking or altering limit values, interrupt output, nor the built-in EEPROM.